%define _requires_exceptions typelib(Unity)

Summary:	Sound converter application for the GNOME environment
Name:		soundconverter
Version:	2.0.4
Release:	%mkrel 2
License:	GPLv3
Group:		Sound/Editors and Converters
URL:		http://soundconverter.org/
Source0:	https://launchpad.net/soundconverter/trunk/2.0.3/+download/%{name}-%{version}.tar.xz
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	intltool
Requires:	gstreamer0.10-gnomevfs
Requires:	gnome-python-gnomevfs
Requires:	gstreamer0.10-python
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gconf 
Requires:	gnome-python
#Suggests: gstreamer0.10-lame

%description
SoundConverter is a simple sound converter application for the GNOME
environment. It reads and writes WAV, FLAC, MP3 and Ogg Vorbis. The user
interface is raw, but should be simple enough to get the job done. 

NOTE: To create MP3 files, you will have to install gstreamer0.10-lame
yourself.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

desktop-file-install \
  --add-category="Audio" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}/python/%{name}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.0.4-2.mga3
+ Revision: 382371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 vaci0 <vaci0> 2.0.4-1.mga3
+ Revision: 338429
- Update to version 2.0.4

* Sat Dec 01 2012 malo <malo> 2.0.3-2.mga3
+ Revision: 324402
- update RPM group

* Tue Jul 31 2012 vaci0 <vaci0> 2.0.3-1.mga3
+ Revision: 276475
- Updated version to 2.0.3
- Removed tag BuildArch noarch

* Mon Mar 05 2012 fwang <fwang> 2.0.1-2.mga2
+ Revision: 218398
- do not require typelib

* Sun Mar 04 2012 dams <dams> 2.0.1-1.mga2
+ Revision: 217714
- new version 2.0.1
- update spec file

* Mon Dec 05 2011 zezinho <zezinho> 1.5.4-1.mga2
+ Revision: 177092
- new version

* Tue Mar 22 2011 steletch <steletch> 1.5.3-1.mga2
+ Revision: 75619
- Clean spec file
- imported package soundconverter

